# Generated by Django 3.2 on 2022-12-11 12:08

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('contract', '0014_alter_contract_file'),
        ('custom', '0012_alter_department_leader'),
        ('employee', '0018_employee_pin'),
    ]

    operations = [
        migrations.CreateModel(
            name='PaySlip',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('inv_no', models.CharField(max_length=50, null=True, verbose_name='Nu. Fatura')),
                ('inv_date', models.DateField(null=True)),
                ('email', models.CharField(blank=True, max_length=70, null=True)),
                ('net', models.DecimalField(blank=True, decimal_places=2, max_digits=7, null=True)),
                ('tot_falta', models.IntegerField(blank=True, default=False, null=True)),
                ('days', models.IntegerField(default=False, null=True, verbose_name='Total Loron')),
                ('is_lock', models.BooleanField(blank=True, default=False, null=True)),
                ('datetime', models.DateTimeField(null=True)),
                ('hashed', models.CharField(max_length=32, null=True)),
                ('category', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='payslip', to='contract.category')),
                ('dep', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='custom.department', verbose_name='Departamentu')),
                ('employee', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='payslip', to='employee.employee')),
                ('position', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='payslip', to='custom.position')),
                ('unit', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='custom.unit', verbose_name='Unidade')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='PaySlipTo',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('address', models.CharField(blank=True, max_length=200, null=True, verbose_name='Enderesu')),
                ('subject', models.CharField(blank=True, max_length=200, null=True, verbose_name='Sujeitu')),
                ('inv_date', models.DateField(blank=True, null=True)),
                ('email', models.CharField(blank=True, max_length=70, null=True)),
                ('datetime', models.DateTimeField(null=True)),
                ('hashed', models.CharField(max_length=32, null=True)),
                ('payslip', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='payslipto', to='payslip.payslip')),
                ('to', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='payslipto', to='employee.employee')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='PaySlipDetail',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('desc', models.CharField(blank=True, max_length=200, null=True, verbose_name='Deskrisaun')),
                ('unit', models.CharField(choices=[('Fulan', 'Fulan')], max_length=6, null=True, verbose_name='Unidade')),
                ('qty', models.IntegerField(blank=True, null=True, verbose_name='Qty')),
                ('month_sallary', models.DecimalField(blank=True, decimal_places=2, max_digits=7, null=True)),
                ('tax', models.DecimalField(blank=True, decimal_places=2, max_digits=7, null=True)),
                ('tax_min', models.DecimalField(blank=True, decimal_places=2, max_digits=7, null=True)),
                ('net', models.DecimalField(blank=True, decimal_places=2, max_digits=7, null=True)),
                ('is_sallary', models.BooleanField(blank=True, null=True)),
                ('datetime', models.DateTimeField(null=True)),
                ('hashed', models.CharField(max_length=32, null=True)),
                ('payslip', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='payslipdetail', to='payslip.payslip')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
